# pylint: disable=unused-wildcard-import,wildcard-import,wrong-import-position
import os


os.environ["IT_APP_ENVIRONMENT"] = "local"

from .base import *  # noqa

# https://docs.djangoproject.com/en/dev/ref/settings/#test-runner
TEST_RUNNER = "django.test.runner.DiscoverRunner"

# Select faster password hasher during tests
# https://docs.djangoproject.com/en/dev/ref/settings/#password-hashers
PASSWORD_HASHERS = ["django.contrib.auth.hashers.MD5PasswordHasher"]

# https://docs.djangoproject.com/en/dev/ref/settings/#email-backend
EMAIL_BACKEND = "django.core.mail.backends.locmem.EmailBackend"

WHITENOISE_MANIFEST_STRICT = False
AWS_S3_FILE_OVERWRITE = True


class DisableMigrations(dict):
    def __contains__(self, item):
        return True

    def __getitem__(self, item):
        return None


MIGRATION_MODULES = DisableMigrations()
